#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct LimitsConfig {
    #[builder(
        default,
        custom(
            type = impl
            Into<Option<super::Duration>>,
            convert = |v|v.into().map(Box::new)
        )
    )]
    #[serde(rename = "maxQueryRange", skip_serializing_if = "Option::is_none", default)]
    max_query_range: Option<Box<super::Duration>>,
}
impl LimitsConfig {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn max_query_range(&self) -> Option<&super::Duration> {
        self.max_query_range.as_ref().map(|o| &**o)
    }
}
